<?php

header('Content-Type: text/html; charset=UTF-8');
$count=$_POST['number'];
$width=$_POST['sw'];
$height=$_POST['sh'];
/*
$kosuu=@fopen('counter_number.txt',"r+");
$kosuu=$kosuu+1;
$nankome=$kosuu;
*/

$fp = fopen( "counter_number.txt", "r+" ); // ファイル開く
$count_one = fgets( $fp, 10 ); // 9桁分値読み取り
$count_one++; // 値+1（カウントアップ）
rewind( $fp ); // ファイルポインタを先頭に戻す
fputs( $fp, $count_one ); // 値書き込み
fclose( $fp ); // ファイル閉じる


$tmp = fopen($_FILES['csvfile']['tmp_name'], "r");
while ($csv[] = fgetcsv($tmp, "1024")) {}
// 配列 $csv の文字コードをSJIS-winからUTF-8に変換


for($i2=1;$i2<$count;$i2++){
	for($i1=1;$i1<$count;$i1++){
mb_convert_variables("UTF-8", "SJIS-win", $csv[$i2][$i1]);
		
	}
}



 

echo '<!doctype html>';
echo '<html>';
echo '<head>';
echo '<meta charset="utf-8">';
echo '<title>オートコーディングシステム,簡単ＨＰ作成ソフト、ひな型コーディングソフト（仮）</title>';
echo '<link href="./auto_coda.css" rel="stylesheet" type="text/css">';
	
echo '</head>';

echo '<body>';
echo '<div style="text-align:left;margin-left:20vw;">';
echo '簡単ＨＰ作成ソフト';
echo '<br />';
echo 'オートコーディング生成は一番下にあります。';
echo '<br />';
echo 'フォント書体';
echo '<br />';
echo '(MS UI Gothic,ＭＳ Ｐゴシック,ＭＳ Ｐ明朝,ＭＳ 明朝,メイリオ,游ゴシック,ヒラギノ角ゴ Pro W3,HGP創英角ﾎﾟｯﾌﾟ体)';
echo '<br />';
echo '上記コンマまでをフォントに入れてください。';
echo '</div>';
echo '<br />';
echo ' <form method="post" action="./auto_coda_seisei.php" name="auto_coda" enctype="multipart/form-data">';
echo ' <input type="hidden" name="yoko_size_all" value="'.$width.'">';
echo ' <input type="hidden" name="tate_size_all" value="'.$height.'">';
echo ' <input type="hidden" name="youso_kosuu" value="'.$count.'">';
echo ' <input type="hidden" name="date" value="'.$count_one.'">';
echo '	<input type="hidden" name="html" value="index'.$count_one.'.html">';
	echo '	<input type="hidden" name="form_html" value="index'.$count_one.'_form.html">';
		
echo '	<input type="hidden" name="css" value="css'.$count_one.'.css">';
			
echo '	<input type="hidden" name="css_form" value="css'.$count_one.'_form.css">';
for($i=1;$i<=$count;$i++){


echo '<div class="auto1">';
echo 		'要素'.$i;
echo '		</div>';
		
echo '		<!--文の場合　すべての文　背景　文食　アウンダーライン等装飾　全体長さ　全体高さ　初期位置左から　初期位置上から-->　';
echo '		<div>';
	/*
	$bunsyou='hmtlファイル名：拡張子htmlをつけたファイル名（サイト閲覧用）
ＣＳＳファイル名：拡張子ＣＳＳをつけたファイル名（デザインを整えるためのファイル）
テキスト：この欄。文章。必要がない場合はテキストを省略してください。
色：　　　フォントの色
フォントサイズ：フォントの大きさ
横幅：　　要素の横幅
縦　　：　要素の縦幅
位置左：　左上から要素までの左距離
位置上：　左上から要素までの上距離
画像ファイル名：画像ファイル名
リンク：リンク先のＵＲＬ

フォントサイズ、横幅、縦幅、位置左、位置上には数値＋単位をつけて記入してください。
要素（固まり１つずつ設定してください。）

単位の種類
px 画素数　標準的な単位
rem　どのようなデバイス（端末）で見ても同じになりやすい単位
%　　比率で計算する単位
vw　　デバイス（端末）の幅の百分の一
vh　　デバイス（端末）の高さの百分の一。'.$i;
*/
	$bunsyou=$csv[$i][2];
 $bunsyou = str_replace("!", "<br />", $bunsyou);
	//$bunsyou=mb_convert_encoding($csv[$i][2],"UTF-8");
	if($i==$count){$bunsyou=mb_convert_encoding($csv[$i][2],"UTF-8");
				  str_replace("!", "<br />", $bunsyou);

				  }
	
	$color=$csv[$i][3];
 $color= str_replace(".", ",", $color);
	$font=$csv[$i][4];
	if($i==$count){$font=mb_convert_encoding($csv[$i][4],"UTF-8");}
	//$font=mb_convert_encoding($csv[$i][4],"UTF-8");
				  // mb_convert_variables("UTF-8", "SJIS-win", $font);
	$font_size=$csv[$i][5];
	$yokohaba=$csv[$i][6];
	$tatehaba=$csv[$i][7];
	$left=$csv[$i][8];
	$top=$csv[$i][9];
	$gazou=$csv[$i][10];
	if($i==$count){$gazou=mb_convert_encoding($csv[$i][10],"UTF-8");}
	$link=$csv[$i][11];
	
	$id=$csv[$i][12];
	$class=$csv[$i][13];
	$name=$csv[$i][14];
	$form=$csv[$i][15];
	$border_type=$csv[$i][16];
	$border_ookisa=$csv[$i][17];
	$border_color=$csv[$i][18];
	$back_color=$csv[$i][19];
	
echo 'テキスト(タグ使用可能)<br />';
	echo 	'<textarea name="'.'bunsyou'.$i.'"'.' rows="20" cols="100" value="文章がいらない場合、空行にしてください。">';
		echo $bunsyou;
	echo '		</textarea>';
	echo '		<br /><br />';
	
	echo '		文字色<input type="text" name="color'.$i.'"'.' value="'.$color.'">';
	echo '		背景色<input type="text" name="back_color'.$i.'"'.' value="'.$back_color.'">';
			
	echo '	フォント書体<input type="text" name="font'.$i.'" value="'.$font.'">';
		echo '		<br />';
		echo 'フォントサイズ<input type="text" name="'.'font_size'.$i.'"'.' value="'.$font_size.'">';
	
		
		echo '横<input type="text" name="'.'yokohaba'.$i.'"'.' value="'.$yokohaba.'">';
		echo '		<br />';
			
		echo '縦<input type="text" name="tatehaba'.$i.'" value="'.$tatehaba.'">';
		
	
	echo '	位置左<input type="text" name="iti_left'.$i.'" value="'.$left.'">';
		echo '<br>';
			
		echo '位置上<input type="text" name="iti_ue'.$i.'" value="'.$top.'">';
	
		echo 'id<input type="text" name="id'.$i.'" value="'.$id.'">';
	echo '<br />';
	echo 'class<input type="text" name="class'.$i.'" value="'.$class.'">';
	
	echo 'name<input type="text" name="name'.$i.'" value="'.$name.'">';
	echo '<br />';
	echo 'form<input type="text" name="form'.$i.'" value="'.$form.'">';
	
	echo '線種類<input type="text" name="border_syurui'.$i.'" value="'.$border_type.'">';
	echo '<br />';
	echo '線太さ<input type="text" name="border_futosa'.$i.'" value="'.$border_ookisa.'">';
	echo '線色<input type="text" name="border_color'.$i.'" value="'.$border_color.'">';
			echo '	</div>';
		
		echo '<br>';
	
		
	
	echo '背景画像file名<input type='."text".' name="'.'haikei_gazou_text'.$i.'"'.' value="'.$gazou.'">';
	
	echo 'リンク先<input type="text" name="link'.$i.'" value="'.$link.'">';
	echo '<br>';
echo '<input type="hidden" name="count" value="$i">';
	
		echo '<br><br>';
		


}


echo '		<input type="submit" value="オートコーディング生成"><input type="reset" value="リセット">';
		
echo '	</form>';
	
	
echo '	</body>';
	echo ' </html> ';
	
?>